approx (5.13-1+ocaml20250313) bookworm-backports-ocaml; urgency=medium

  * Rebuild for transition ocaml-5.3.0

 -- Anonymous Builder <builder@example.org>  Thu, 13 Mar 2025 09:11:58 +0100

approx (5.13-1) unstable; urgency=medium

  * Team upload

  [ Arnaud Rebillout ]
  * gbp.conf: No patch numbers
  * Update d/changelog to add missing entries that closed some bugs
  * Update d/copyright to machine-readable format
  * cron.weekly: Support when the cache dir is a symlink (Closes: #987604)
  * cron.weekly: Silent by default (Closes: #867377, #930327)
  * cron.weekly: Use ctime (status) to pick old files, reduce max_age to 365
  * Patch to fix lowercase and capitalize warnings (Closes: #1073871)
  * Patches to fix config parser with blank lines (Closes: #1031411)
  * Patch to update FAQ regarding changing the cache path
  * Patch for nowadays debian-security
  * Patch to use https in URL
  * Patches for tarballs in dists/ that are NOT immutable
    (Closes: #757945, #810255)
  * Patch to disable burst limit in systemd socket
  * Build-Depends: ocaml >= 4.13
  * Drop dependency on system-log-daemon (Closes: #1072019)

  [ Stéphane Glondu ]
  * Patch to fix flaky fold_test test
  * New upstream release, incorporating all above patches

 -- Stéphane Glondu <glondu@debian.org>  Tue, 02 Jul 2024 09:50:29 +0200

approx (5.12-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd units into /usr/lib/systemd/system.
    (Closes: #1059178)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 22 Apr 2024 01:33:25 +0200

approx (5.12-2) unstable; urgency=medium

  * Team upload
  * Bump Standards-Version to 4.6.2
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Sep 2023 06:10:50 +0200

approx (5.12-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - fix calls to Re.Pcre.extract (Closes: #1031117)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 12 Feb 2023 13:17:27 +0100

approx (5.11-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
    - incorporate OCaml 4.08.0 patch
    - use Re.Pcre instead of Pcre
  * Set Maintainer to Debian OCaml Maintainers

  [ Samuel BF ]
  * Remove approx-gc references in documentation (Closes: #861947)

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 13.
  * Remove constraints unnecessary since buster (oldstable)

  [ Edward Betts ]
  * Update homepage field, git.debian.org no longer exists.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 05 Feb 2023 18:34:19 +0100

approx (5.10-2) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Sep 2019 08:26:46 +0200

approx (5.10-1) unstable; urgency=medium

  * New upstream version
  * revert to ocaml-sha instead of cryptokit

 -- Eric Cooper <ecc@cmu.edu>  Tue, 25 Jul 2017 12:30:00 -0400

approx (5.9-1) unstable; urgency=medium

  * New upstream version
  * use cryptokit for checksum functions
  * add Build-Depends for cryptokit (instead of sha) and ocamlbuild
  * enable all compiler warnings but don't treat them as errors
  * fix all code that caused compiler warnings
  * fix compiler warnings in test code

 -- Eric Cooper <ecc@cmu.edu>  Sat, 22 Jul 2017 15:26:05 -0400

approx (5.8-1) unstable; urgency=medium

  * New upstream version
  * handle HTTP/2 status (closes: #867048)
  * update Standards-Version and Build-Depends for debhelper
  * remove unused approx.config file

 -- Eric Cooper <ecc@cmu.edu>  Tue, 04 Jul 2017 12:55:00 -0400

approx (5.7-3) unstable; urgency=medium

  * use dh support for systemd unit files (closes: #848312)
  * eliminate debconf configuration of port number

 -- Eric Cooper <ecc@cmu.edu>  Sat, 17 Dec 2016 19:16:34 -0500

approx (5.7-2) unstable; urgency=medium

  * remove broken debian/watch file
  * fix build failure for tests on architectures lacking ocamlopt

 -- Eric Cooper <ecc@cmu.edu>  Sun, 04 Dec 2016 13:30:02 -0500

approx (5.7-1) unstable; urgency=medium

  [ Eric Cooper ]
  * New upstream version
  * remove unused code
  * simplify build using findlib
  * use OUnit for tests
  * change String.create to Bytes.create
  * relax check for Invalid_argument exception
  * increment version number
  * depend on OCaml 4.02 for Bytes module
  * add build dependency on OUnit
  * remove approx-gc program (closes: #465473, #632926, #686062, #818731)
  * use find(1) command in weekly cron job (closes: #806707)
  * update Standards-Version to 3.9.8
  * add dependency on update-inetd

  [ Mark White ]
  * add $curl_path configuration parameter
  * cache unknown file types for $interval

  [ Kai Harries ]
  * remove dependencies on inet-superserver (closes: #784312)

  [ Romain Francoise ]
  * Bug#818633: approx: fails to connect to HTTP/2 servers (closes: #818633)

 -- Eric Cooper <ecc@cmu.edu>  Wed, 16 Nov 2016 18:08:24 -0500

approx (5.5-2) unstable; urgency=medium

  * handle String.create deprecation warning during transition to OCaml 4.02

 -- Eric Cooper <ecc@cmu.edu>  Sat, 20 Jun 2015 12:40:26 -0400

approx (5.5-1) unstable; urgency=medium

  * New upstream version
  * Only cache "not found" for true 404 responses (closes: #655986)
  * Incorporate patch for #732021 into upstream branch
  * Update Standards-Version to 3.9.5

 -- Eric Cooper <ecc@cmu.edu>  Sat, 21 Jun 2014 17:41:30 -0400

approx (5.4-2) unstable; urgency=low

  * patch doc/FAQ to avoid FHS violation (closes: #732021)
  * drop dm-upload-allowed (again)

 -- Eric Cooper <ecc@cmu.edu>  Thu, 12 Dec 2013 14:18:40 -0500

approx (5.4-1) unstable; urgency=low

  * New upstream version
  * follow redirects for HEAD requests (closes: #695279)
  * eliminate Not_found exception in gc (closes: #695639)
  * increase debhelper compat to 9
  * update standards-version, drop dm-update-allowed
  * change from gz to bz2 (closes: #639540, #689444, #705890)
  * replace deprecated (or) with (||) (closes: #731703)
  * add example xinetd config (closes: #720359)
  * add systemd service file (closes: #679991)
  * document use of /var/cache/approx/.curlrc file (closes: #719912)
  * drop build-dependency on libsyslog-ocaml-dev (provided by ocamlnet now)
  * add depends on bzip2 and xz-utils

 -- Eric Cooper <ecc@cmu.edu>  Sun, 08 Dec 2013 21:13:30 -0500

approx (5.3-1.1) UNRELEASED; urgency=low

  * Non-maintainer upload.
  * Remove Sylvain Le Gall from uploaders

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 21 Sep 2012 00:58:29 +0000

approx (5.3-1) unstable; urgency=low

  * New upstream version
  * Check for chunked transfer encoding when closing cache file
    (closes: #685724)

 -- Eric Cooper <ecc@cmu.edu>  Fri, 24 Aug 2012 14:56:45 -0400

approx (5.2-1) unstable; urgency=low

  [ Eric Cooper ]
  * New upstream version
  * Check for custom inetd.conf entry when updating (closes: #627053)
  * Handle Sources files with missing Directory fields (closes: #641928)
  * Change default $interval to 60 (closes: #658694)
  * Applied "Fix FTBFS with ocamlnet 3.5.1" upstream
  * Add debian/watch file
  * Update Standards-Version to 3.9.3

  [ Adriano Rafael Gomes ]
  * add Brazilian Portuguese debconf translation (closes: #661359)

  [ Jeroen Schot ]
  * add Dutch debconf translation (closes: #661438)

  [ Andika Triwidada ]
  * add Indonesian debconf translation (closes: #670916)

  [ Michał Kułach ]
  * add Polish debconf translation (closes: #671346)

 -- Eric Cooper <ecc@cmu.edu>  Wed, 23 May 2012 15:52:32 -0400

approx (5.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "should depend on system-log-daemon":
    add dependency on "rsyslog | system-log-daemon".
    (Closes: #656791)

 -- gregor herrmann <gregoa@debian.org>  Tue, 27 Mar 2012 18:04:42 +0200

approx (5.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with ocamlnet 3.5.1 (Closes: #661775)
  * Add versioned dependency to libnethttpd-ocaml-dev in Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Wed, 07 Mar 2012 07:54:57 +0100

approx (5.1-1) unstable; urgency=low

  * New upstream version
  * Build with ocamlnet3 (closes: #610597, #635886)
  * Remove unnecessary check_current_directory function (closes: #632670)
  * Document default port number and how to change it (closes: #633811)
  * Serve simple robots.txt file (closes: #626721)

 -- Eric Cooper <ecc@cmu.edu>  Sun, 31 Jul 2011 18:30:00 -0400

approx (5.0-1) unstable; urgency=low

  * New upstream version
  * Deny requests for non-gz index files (closes: #625457)
  * Cache pdiffs instead of removing them (closes: #607896)
  * Remove approx-update program
  * Add $interval configuration parameter
  * Cache Release files and "file not found" responses
    for $interval minutes without contacting remote repository
    (closes: #625458)
  * Treat i18n/Index files as roots for garbage collection
  * Run approx-gc cronjob at low priority (closes: #611370)
  * Include process ID in syslog messages
  * Defer pdiff application to the end of each connection

 -- Eric Cooper <ecc@cmu.edu>  Tue, 10 May 2011 16:11:00 -0400

approx (4.6-1) unstable; urgency=low

  * New upstream version
  * Support InRelease files (release files with inline signatures)
  * Add Danish debconf translation (closes: #596464)
  * Add FAQ entry about changing cache location (closes: #597949)
  * Improve redirect handling (closes: #611975)
  * Use dh instead of cdbs
  * Update Standards-Version to 3.9.2

 -- Eric Cooper <ecc@cmu.edu>  Thu, 28 Apr 2011 14:22:11 -0400

approx (4.5-1) unstable; urgency=low

  * New upstream version
  * The inetd.conf entry created by the postinst script requires an
    additional argv[0] after the approx pathname.  This problem went
    unnoticed with openbsd-inetd, but inetutils-inetd would exec the program
    with an empty argv[] (closes: #589937)
  * Compress files with the same gzip parameters that dak uses,
    so pdiff application can succeed (closes: #593428)
  * Update Standards-Version to 3.9.1

 -- Eric Cooper <ecc@cmu.edu>  Wed, 18 Aug 2010 09:10:40 -0400

approx (4.4-1) unstable; urgency=low

  * New upstream version
  * Provide directory index for cache (closes: #577969)
  * Redirect requests for top levels of remote repositories
  * Handle Not_found exception from find_directory (closes: #573039)
  * Support multiple config files and alternate cache location
    (closes: #519497, #580663)
  * Support for HEAD requests (closes: #524984)
  * Detect cycles when traversing directory trees (closes: #582294)
  * Update Standards-Version to 3.9.0

 -- Eric Cooper <ecc@cmu.edu>  Tue, 13 Jul 2010 17:49:35 -0400

approx (4.3-1) unstable; urgency=low

  * New upstream version
  * Use TMPDIR if accessible, otherwise use /tmp (closes: #573593)
  * Catch correct exception when Release file is missing md5sum section
    (closes: #573039)
  * Add explanation for openbsd-inetd rate-limiting (closes: #581220)
  * Avoid symlinks when traversing directories (closes: #582294)

 -- Eric Cooper <ecc@cmu.edu>  Sat, 12 Jun 2010 10:35:25 -0400

approx (4.2-1) unstable; urgency=low

  * New upstream version
  * Improve handling of invalid index files
  * Recognize compressed tarballs from 3.0 (quilt) format
  * Use dh-ocaml (>= 0.9) and simplify debian/rules
  * Update build-deps
  * Drop lsb-base dependency since approx no longer needs an init script
  * Update Standards-Version to 3.8.4
  * Suggest libconfig-model-approx-perl (closes: #554388)
  * Change to 3.0 (quilt) format

 -- Eric Cooper <ecc@cmu.edu>  Sun, 14 Feb 2010 16:52:00 -0500

approx (4.1-1) unstable; urgency=low

  * New upstream version
  * Ignore epoch when comparing versions for importing
    (closes: #518763, #545424)
  * Deliver files properly in offline mode (closes: #524960)
  * Support udebs
    - patch from Matthew Palmer <mpalmer@debian.org>
    - closes: #527188
  * Support https in URLs
    - patch from Andres Salomon <dilinger@collabora.co.uk>
    - closes: #531218
  * Add Czech debconf translation (closes: #537107)
  * Fix update-inetd call in postrm script
  * Update Standards-Version to 3.8.3
  * Add FAQ file

 -- Eric Cooper <ecc@cmu.edu>  Mon, 07 Sep 2009 18:16:20 -0400

approx (4.0-3) unstable; urgency=low

  * Add Japanese debconf translation (closes: #524624)

 -- Eric Cooper <ecc@cmu.edu>  Thu, 11 Jun 2009 15:53:01 -0400

approx (4.0-2) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-english
    team (closes: #522644)
  * Debconf translation updates:
    - Georgian (closes: #523427)
    - Italian (closes: #523489)
    - Swedish (closes: #523836)
    - Portuguese (closes: #524110)
    - German (closes: #524398)
    - Galician (closes: #524401)
    - Spanish (closes: #525271)
    - French (closes: #525519)
    - Russian (closes: #525521)
    - Finnish (closes: #526370)
  * Thanks to Christian Perrier for coordinating the above
    reviews and translations

 -- Eric Cooper <ecc@cmu.edu>  Mon, 01 Jun 2009 16:14:51 -0400

approx (4.0-1) unstable; urgency=low

  * New upstream version
  * Change approx to run under inetd (closes: #517217, #479493)
  * Update packaging for OCaml 3.11 (closes: #518727)
  * Revert to dropping privileges in gc, update, and import
    (closes: #510761)
  * approx-import: use MD5 checksums instead of names and versions
    (closes: #518753, #518763)
  * approx-import: print status of each file when importing in verbose mode
    (closes: #518761)

 -- Eric Cooper <ecc@cmu.edu>  Tue, 10 Mar 2009 13:37:00 -0400

approx (3.5-1) unstable; urgency=low

  * New upstream version
  * Handle unreadable directories like lost+found more robustly
    (closes: #488115)
  * Decompress files in /tmp so gc can be used on a full filesystem
    (closes: #490028)
  * Handle multiple blank lines between paragraphs in control files
    (closes: #501628)
  * Use "Pragma: no-cache" in case approx is behind a caching proxy
    (closes: #502405)
  * Check for correct user and group ID instead of dropping privileges
    in auxiliary programs like gc and update; use "su" in cron jobs
  * Create directories when importing files into the cache

 -- Eric Cooper <ecc@cmu.edu>  Wed, 19 Nov 2008 20:42:00 -0500

approx (3.4-1) unstable; urgency=low

  * Change to non-native Debian package
  * Update VCS info in debian/control to reflect change from svn to git
  * Fix race condition when creating directory for cache file
    (closes: #501406)
  * Add approx-import program to import local .debs into approx cache
    (closes: #488096)
  * Renamed auxiliary programs approx-gc and approx-update for consistency
  * Thanks to Stéphane Glondu for svn to git migration

 -- Eric Cooper <ecc@cmu.edu>  Thu, 23 Oct 2008 21:16:00 -0400

approx (3.3.0) unstable; urgency=low

  * Allow empty host name in file URLs (closes: #479022)
  * Use unique temporary names to avoid race condition
    when opening cache files (closes: #488080)
  * Use hint files to avoid (but not eliminate) duplicate downloads
  * Remove unnecessary getpeername call in server loop

 -- Eric Cooper <ecc@cmu.edu>  Sat, 03 May 2008 16:43:25 -0400

approx (3.2.0) unstable; urgency=low

  * Listen on both IPv4 and IPv6 sockets when available
  * Add setsockopt IPV6_V6ONLY to allow both kinds of sockets to bind
    to the same port, as suggested by Julien Cristau <jcristau@debian.org>
  * Enable -custom for all bytecode executables, not just ones that
    directly use C stubs, to avoid missing DLLs from libpcre-ocaml, etc.
    at runtime (closes: #476367)

 -- Eric Cooper <ecc@cmu.edu>  Wed, 16 Apr 2008 21:49:01 -0400

approx (3.1.0) unstable; urgency=low

  * Prevent dh_strip from stripping custom bytecode executables
    (closes: #473707)
  * Change to debhelper v6 mode

 -- Eric Cooper <ecc@cmu.edu>  Wed, 02 Apr 2008 11:00:55 -0400

approx (3.1.0~rc2) experimental; urgency=low

  * Pass -byte-plugin flag to ocamlbuild when building bytecode
    (closes: #471665)

 -- Eric Cooper <ecc@cmu.edu>  Tue, 01 Apr 2008 14:49:03 -0400

approx (3.1.0~rc1) experimental; urgency=low

  * Added support for IPv6 and TCP wrappers
    - added build-dependency on libwrap0-dev
    - closes: #468058
  * Fixed mishandling of HTTP redirections
    - handle redirection status codes and location headers in approx.ml,
      following patch supplied by Håkon Stordahl <haastord@online.no>
    - remove curl --location option from Url.download but not Url.download_file
    - closes: #469580
  * Added transparent proxying for requests that should be passed through
    without caching (closes: #469616)
  * Perform server initializations like binding to port and dropping privileges
    before daemonizing, so that any failures will be noticed by the init script
    (closes: #465450)
  * Changed Patch module to use a single composite operator
    instead of a list, so Patch.apply is just function application
  * Updated Standards-Version, DM-Upload-Allowed and VCS-* in debian/control
  * Changed from ocamlmakefile to ocamlbuild
    - removed ocamlmakefile from Build-Depends
    - added _tags files and myocamlbuild.ml plugin
    - new, simpler Makefile
    - updated debian/rules to deal with .native and .byte targets
  * Improved documentation of the garbage collection algorithm in gc.ml
  * Changed debug_message and info_message to check corresponding
    config parameters ($debug, $verbose) so callers don't have to
  * Renamed config -> config_file and default_config -> config
  * Style changes (mostly whitespace-only)
    - use only spaces in indentation, no tabs
    - write lists like this: [1; 2; 3]
    - avoid single begin/end lines

 -- Eric Cooper <ecc@cmu.edu>  Thu, 13 Mar 2008 10:05:56 -0400

approx (3.0.0) unstable; urgency=low

  * Support pdiffs (closes: #405535)
  * Create temp files in approx cache rather than TMPDIR (closes: #451768)
  * Added $offline parameter to control delivery of cached files
    when remote downloads fail (closes: #442801)

 -- Eric Cooper <ecc@cmu.edu>  Tue, 04 Dec 2007 12:24:16 -0500

approx (2.9.1) unstable; urgency=low

  * Make sure cron job doesn't fail if approx has been removed
    (closes: #404819)
  * Add Homepage field

 -- Eric Cooper <ecc@cmu.edu>  Wed, 03 Oct 2007 11:31:56 -0400

approx (2.9.0) unstable; urgency=low

  [ Eric Cooper ]
  * Changed debian/rules to use cdbs
  * Improve postinst check for conflict with apt-proxy
    (closes: #395375)
  * Make sure cron job doesn't fail if cache directory is empty
    (closes: #416361)
  * Require configuration parameters to begin with '$' to distinguish
    them from repository names
  * Added $verbose parameter to control logging of informational messages
    (closes: #403514)
  * Added $syslog parameter to specify the syslog facility
    (closes: #406504)
  * Added $user and $group parameters to control the approx daemon's user
    and group [Alexandra N. Kossovsky <sasha@oktetlabs.ru>]
    (closes: #423836)
  * Don't assume deluser is still available in postrm (closes: #416643)
  * Migrated to Ocamlnet 2 (closes: #420478)
  * Changed dependency from ocaml-tools to ocamlmakefile (closes: #428723)

  [ Ralf Treinen ]
  * Added myself to uploaders.
  * Build-depend on ocaml >= 3.10 in order to force the ocaml version on
    autobuilders.

 -- Ralf Treinen <treinen@debian.org>  Wed, 05 Sep 2007 16:43:00 +0200

approx (2.8.0) unstable; urgency=low

  * Make sure syslog messages are newline-terminated for syslog-ng
    (closes: #394925)
  * Handle tabs as well as spaces in control files (closes: #394062)
  * Added "max_rate" configuration variable (closes: #392802)
  * Improved description in approx man page of how repository mapping works
  * Added XS-Vcs-Svn header to debian/control file

 -- Eric Cooper <ecc@cmu.edu>  Mon, 23 Oct 2006 22:15:34 -0400

approx (2.7.0) unstable; urgency=low

  * New version numbering with third component for packaging-only changes
  * Deny DiffIndex requests, forcing download of full index files
    (closes: #367475)
  * Keep live source packages (those listed in Sources files)
    (closes: #374736)
  * Decode request URLs to handle '~' in pathnames (closes: #390121)
  * Validate packages with SHA256, otherwise SHA1, otherwise MD5
  * Added --fail option to curl to handle errors better
  * Made init script LSB-compliant and added dependency on lsb-base

 -- Eric Cooper <ecc@cmu.edu>  Mon, 11 Sep 2006 13:09:11 -0400

approx (2.06) unstable; urgency=low

  * Added "interface" configuration variable to allow listening only
    on a specific network interface, as requested by Romain Lenglet
    <rlenglet@users.forge.objectweb.org> (closes: #352025)
  * Added simple-minded support for file URIs, using the same logic as FTP
  * The server is now started as root by the init script, and then drops
    privileges to user approx after binding its socket. This allows approx
    to listen on port 80, as requested by Andreas John <aj@net-lab.net>

 -- Eric Cooper <ecc@cmu.edu>  Mon, 24 Apr 2006 16:09:22 -0400

approx (2.05) unstable; urgency=low

  * Factor out all uses of curl command (missed one in previous fix)
  * Transition to OCaml 3.09.1

 -- Eric Cooper <ecc@cmu.edu>  Sun,  8 Jan 2006 14:29:20 -0500

approx (2.04) unstable; urgency=low

  * Added --location option to curl so that it will follow HTTP redirections
    (closes: #346082)

 -- Eric Cooper <ecc@cmu.edu>  Thu,  5 Jan 2006 13:56:03 -0500

approx (2.03) unstable; urgency=low

  * Fixed cron script (closes: #343105)
  * Updated debian/compat to 5

 -- Eric Cooper <ecc@cmu.edu>  Mon, 12 Dec 2005 15:43:46 -0500

approx (2.02) unstable; urgency=low

  * Make sure all data that is streamed to the client during download
    gets flushed afterwards using cgi#output#commit_work
  * Added debian/control.in and a rule to generate debian/control from it
  * Added conditional dependency on OCaml bytecode interpreter
    for architectures without native compilation

 -- Eric Cooper <ecc@cmu.edu>  Sun, 20 Nov 2005 12:20:58 -0500

approx (2.01) unstable; urgency=low

  * Updated debian/control for ocaml version 3.09.0
  * Added dependency on adduser (for postinst script)
  * Removed unused variables (or renamed with _) to eliminate warnings

 -- Eric Cooper <ecc@cmu.edu>  Tue,  1 Nov 2005 17:43:55 -0500

approx (2.00) unstable; urgency=low

  * Stream the response to the client while downloading to the cache
  * Release with new major version

 -- Eric Cooper <ecc@cmu.edu>  Mon, 10 Oct 2005 10:04:09 -0400

approx (1.51) unstable; urgency=low

  * Changed client to use curl subprocesses instead of ocurl
  * For simplicity, all downloads are cached first, then sent to the client

 -- Eric Cooper <ecc@cmu.edu>  Wed, 14 Sep 2005 09:37:54 -0400

approx (1.50) unstable; urgency=low

  * Changed server to use nethttpd instead of ocaml-http

 -- Eric Cooper <ecc@cmu.edu>  Mon, 22 Aug 2005 16:53:22 -0400

approx (1.18) unstable; urgency=low

  * Secure APT imposes additional consistency requirements on the cache:
    - Release and Release.gpg files must agree
    - Packages and Sources files must agree with the Release file
      that mentions them
  * Closes: #322847

 -- Eric Cooper <ecc@cmu.edu>  Sun, 31 Jul 2005 16:10:13 -0400

approx (1.17) unstable; urgency=low

  * Incorporate patch by Flavio Stanchina <flavio@stanchina.net>
    to recognize Release.gpg and *.bz2 files in gc_approx (closes: #313188)
  * Include Last-Modified header in local responses
  * Support If-Modified-Since for FTP requests using MDTM

 -- Eric Cooper <ecc@cmu.edu>  Fri, 15 Jul 2005 15:34:21 -0400

approx (1.16) unstable; urgency=low

  * Support concurrent requests
    - use http_daemon's Fork mode
    - rely on atomic rename of foo.tmp -> foo in cache
    - detect concurrent downloads in progress and wait for them
  * Differentiate levels of syslog messages

 -- Eric Cooper <ecc@cmu.edu>  Fri, 13 May 2005 12:23:37 -0400

approx (1.15) unstable; urgency=low

  * Build byte-code version on architectures with no ocamlopt
  * Create /var/cache/approx directory in postinst script

 -- Eric Cooper <ecc@cmu.edu>  Sat,  7 May 2005 11:08:38 -0400

approx (1.14) unstable; urgency=low

  * Added --foreground option to approx (closes: #306898)

 -- Eric Cooper <ecc@cmu.edu>  Thu,  5 May 2005 10:43:36 -0400

approx (1.13) unstable; urgency=low

  * Make sure /var/cache/approx exists before trying to chown it
    (closes: #306621)
  * No longer allow the cache directory to be specified in approx.conf;
    always use /var/cache/approx (which can be a symlink)

 -- Eric Cooper <ecc@cmu.edu>  Wed, 27 Apr 2005 18:39:13 -0400

approx (1.12) unstable; urgency=low

  * New description, from suggestions by
    Raphaël Berbain <raphael.berbain@free.fr>
  * approx
    - run as unprivileged user (closes: #305451)
    - added /etc/default/approx with example of setting
      http_proxy environment variable (closes: #305453)
    - detect possible conflict with apt-proxy at installation time
      and at runtime if binding to port 9999 fails
  * gc_approx
    - remove unused distributions and empty parent directories from cache
    - don't recheck files that have already been checked
    - uncompress Packages.gz files to disk
    - use wget to download Packages.gz file if decompression fails

 -- Eric Cooper <ecc@cmu.edu>  Mon, 25 Apr 2005 09:01:56 -0400

approx (1.11) unstable; urgency=low

  * Daemonize correctly (closes: #305102)

 -- Eric Cooper <ecc@cmu.edu>  Sun, 17 Apr 2005 19:57:56 -0400

approx (1.10) unstable; urgency=low

  * Bumped dependency on syslog-ocaml (closes: #305019)

 -- Eric Cooper <ecc@cmu.edu>  Sun, 17 Apr 2005 12:47:12 -0400

approx (1.09) unstable; urgency=low

  * rebuilt against ocamlnet 1.0 and ocaml-http 0.1.0-3
  * debian/control
    - added me as an uploader
    - bumped dependencies on ocamlnet and ocaml-http

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 16 Apr 2005 10:13:30 +0200

approx (1.08) unstable; urgency=low

  * Removed trunk directory layer
  * Add build-dependency on ocaml-tools (closes: #303774)

 -- Eric Cooper <ecc@cmu.edu>  Fri,  8 Apr 2005 14:57:43 -0400

approx (1.07) unstable; urgency=low

  * Eliminate timeout for approx daemon callbacks
  * Make gc_approx handle "Filename: ./foo" correctly
  * Turn on all OCaml compiler warnings and clean up code
  * Sven Luther :
    - Preparing upload built with ocaml 3.08.3.
    - Taking over maintainership of this package, since Eric is not a DD.
    - Tested on my home setup since the past three weeks.

 -- Eric Cooper <ecc@cmu.edu>  Sat, 12 Mar 2005 17:27:43 -0500

approx (1.06) unstable; urgency=low

  * Use native syslog client instead of piping output to logger
  * Use open_process_in and gzip instead of camlzip to uncompress
    package files in gc_approx
  * gc_approx removes garbage files unless --keep option is specified
  * APPROX_CONF environment variable no longer used;
    pathname is now hard-coded in default_config.ml
  * Write /var/run/approx.pid for use by init script

 -- Eric Cooper <ecc@cmu.edu>  Thu, 24 Feb 2005 13:36:26 -0500

approx (1.05) unstable; urgency=low

  * Use proper content type and encoding when relaying *.gz files
  * Log client IP address
  * Install into /usr/sbin
  * Add init.d and cron scripts
  * Double fork to detach daemon
  * Use distribution names from the config file as roots for GC,
    to detect remote repositories no longer in use

 -- Eric Cooper <ecc@cmu.edu>  Wed, 23 Feb 2005 23:59:35 -0500

approx (1.04) unstable; urgency=low

  * Add build-dependency on the version of ocamlnet
    which fixes a problem with '+' characters in URLs
  * Append ".tmp" to download in progress and rename it when complete,
    to avoid invalid files in the cache if the daemon is interrupted

 -- Eric Cooper <ecc@cmu.edu>  Sun,  6 Feb 2005 17:20:18 -0500

approx (1.03) unstable; urgency=low

  * Cleanup libcurl connection after each transfer

 -- Eric Cooper <ecc@cmu.edu>  Fri,  4 Feb 2005 09:05:00 -0500

approx (1.02) unstable; urgency=low

  * Use libcurl-ocaml instead of my own wrapper

 -- Eric Cooper <ecc@cmu.edu>  Thu,  3 Feb 2005 21:42:36 -0500

approx (1.01) unstable; urgency=low

  * Don't garbage collect only .deb files;
    consider everything except Packages, Release, and Sources files

 -- Eric Cooper <ecc@cmu.edu>  Tue,  1 Feb 2005 15:52:02 -0500

approx (1.00) unstable; urgency=low

  * Initial release

 -- Eric Cooper <ecc@cmu.edu>  Sun, 23 Jan 2005 14:05:29 -0500
